import e32
if (e32.s60_version_info >= (3, 0)):
    import imp
    _gps_location = imp.load_dynamic('_gps_location', 'z:\\sys\\bin\\_gps_location.pyd')
else:
    import _gps_location

def position():
    '\n      Returns the position (Latitude, Longitude, Altitude, VerticalAccuracy, HorizontalAccuracy)\n    '
    if (e32.s60_version_info >= (3, 0)):
        return _gps_location.position()
    else:
        return None

def position_timestamp():
    '\n      Returns the timestamp of the GPS data, from year to microseconds.\n    '
    if (e32.s60_version_info >= (3, 0)):
        return _gps_location.position_timestamp()
    else:
        return None

def position_age():
    '\n      Returns the age of the position fix.\n    '
    if (e32.s60_version_info >= (3, 0)):
        return _gps_location.position_age()
    else:
        return None

def phone_time():
    '\n      Returns the time of the phone from year to microseconds (may not be accurate).\n    '
    if (e32.s60_version_info >= (3, 0)):
        return _gps_location.phone_time()
    else:
        return None

def phone_time_real():
    '\n      Returns the time of the phone from year to microseconds (may not be accurate).\n    '
    if (e32.s60_version_info >= (3, 0)):
        return _gps_location.phone_time_real()
    else:
        return None

def module_name():
    "\n      Module used to get GPS data. i.e. Bluetooth, Internal...\n      'Last known position' if data returned was in cache.\n    "
    if (e32.s60_version_info >= (3, 0)):
        return _gps_location.module_name()
    else:
        return None

def set_update_options(UpdateIntervalMicroSeconds, UpdateTimeOutMicroSeconds, MaxAgeMicroSeconds, AcceptPartialUpdates):
    '\n      Allows to set the update options.\n        Update Interval in MicroSeconds,\n            Update Time Out in MicroSeconds,\n            Max Age of GPS data in MicroSeconds,\n            Whenever or not to Accept Partial Updates\n            \n         Returns the error code.\n    '
    if (e32.s60_version_info >= (3, 0)):
        return _gps_location.set_update_options(UpdateIntervalMicroSeconds, UpdateTimeOutMicroSeconds, MaxAgeMicroSeconds, AcceptPartialUpdates)
    else:
        return None